/*
 * Walter Ritter, pearworks 2005
 * Version 0.1
 */

if (window.widget) {
	widget.onhide = onHide;
}

/*
 ****************************************************
 *	Main content (onload, content switching, etc	*
 ****************************************************
 */
 
var flipper;
 
 
function preferenceForKey(key) {
	return widget.preferenceForKey(widget.identifier + '-' + key);
}

function setPreferenceForKey(prefs, key) {
	widget.setPreferenceForKey(prefs, widget.identifier + '-' + key);
}
 	
function loaded() {
	// toggleDebug();  // uncomment this line for debug output
	flipper = new Fader(document.getElementById('flip'), null, 500);
	
	// existence of preference means to show lows
	if (window.widget) {
		var pref = preferenceForKey("previewLength");
		if (pref != null && pref != "") {
			setPreviewLength(pref);
		} else {
			setPreviewLength("28.8");
        }
        previewLengthChanged();
    }
}


// No track/key timers should be running while Dashboard is hidden.
function onHide () {
	//clearTimer();
}


// Switches between the content DIVs.


function setArtistInfo(title) {
    if (title.length > 30) {
        title = title.substring(0,27) + "...";
    }
    document.getElementById('artistField').innerHTML = title;
}

function setSongInfo(title) {
    if (title.length > 30) {
        title = title.substring(0,27) + "...";
    }
    document.getElementById('songField').innerHTML = title;
}


/*
 * Flip Side
 */
function showBack()
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");
        
    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }
    
    front.style.display="none";
    back.style.display="block";
                   
    if (window.widget) {
    	setTimeout ('widget.performTransition();', 0); 
    }
        
    document.getElementById('fliprollie').style.display = 'none';
}

function hideBack()
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");
        
    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }
                
    back.style.display="none";
    front.style.display="block";

    if (window.widget) {
        setTimeout ('widget.performTransition();', 0);
    }
}

function playPause() {
	if (pearPlayPlugin) {
			var result = pearPlayPlugin.playPause();
			return false;
    }
}

function nextTrack() {
	if (pearPlayPlugin) {
			pearPlayPlugin.nextTrack();
    }
}

function previousTrack() {
	if (pearPlayPlugin) {
			pearPlayPlugin.previousTrack();
    }
}


function enterflip(event)
{
    document.getElementById('fliprollie').style.display = 'block';
}

function exitflip(event)
{
    document.getElementById('fliprollie').style.display = 'none';
}

function enterNextTrack(event) {
    document.getElementById('forwardBtn').style.background='url(Images/right_arrow.png)';
}

function exitNextTrack(event) {
    document.getElementById('forwardBtn').style.background='none';
}

function enterPreviousTrack(event) {
    document.getElementById('backBtn').style.background='url(Images/left_arrow.png)';
}

function exitPreviousTrack(event) {
    document.getElementById('backBtn').style.background='none';
}

function previewLengthChanged() {
	if (pearPlayPlugin) {
        var value = document.getElementById('lengthField').value;
        pearPlayPlugin.setPreviewDuration(value);
        setPreferenceForKey(value, "previewLength");
    }
}

function setPreviewLength(length) {
    document.getElementById('lengthField').value = length;
}
